Referencia de endpointsScripts
Autorizar un script (justificación PCI 6.4.3 obligatoria)
POST
Establece status = authorized, authorization_method = api, authorized_by = api:<prefix>, registra una revisión y desactiva cualquier regla de bloqueo que coincida con el script. expires_days establece expires_at / review_due_at.
bearerAuthheader
AutorizaciónBearer <token>Token de API creado en Ajustes → API. Los alcances están vinculados al token; cada operación indica el alcance requerido en x-scope.
id*stringFormato
uuidorg_id?stringSolo socios (orgs:manage): actúa sobre esta organización hija. También se puede enviar como org_id en cuerpos JSON.
Formato
uuidIdempotency-Key?stringReproduce la respuesta original durante 24 h
Longitud
1 <= length <= 255application/json- body
justification*stringLongitud
10 <= length <= 2000expires_days?integerRango
1 <= value <= 3650Script autorizado
application/json- response
id?stringFormato
uuidstore_id?stringFormato
uuidsrc?stringtype?|Valor en
"first_party""known_third""unknown"nullcategory?string|nullstatus?stringValor en
"trusted""needs_review""suspicious""malicious""authorized""blocked"integrity_status?|Valor en
"match""mismatch""pending""monitored""blocked"nullcurrent_hash?string|nullauthorized_hash?string|nullhash_source?string|nullsri_hash?string|nullintegrity_attr?boolean|nullsize_bytes?integer|nullvendor_id?string|nullgtm_container?string|nullauthorization_method?|Valor en
"manual""auto""policy""ai_assisted""import""api""expiry""integrity""system"nullauthorized_by?string|nulljustification?string|nullpolicy_id?|Formato
uuidpolicy_version?integer|nullreviewed_at?|Formato
date-timeexpires_at?|Formato
date-timereview_due_at?|Formato
date-timefirst_seen_at?stringFormato
date-timelast_seen_at?stringFormato
date-timelast_verified_at?|Formato
date-timelast_hash_change_at?|Formato
date-timeblock_rules_deactivated?booleancurl -X POST "https://example.com/scripts/497f6eca-6276-4993-bfeb-53cbbbba6f08/authorize" \ -H "Content-Type: application/json" \ -d '{ "justification": "Google Tag Manager container owned by the marketing team; no access to payment fields.", "expires_days": 90 }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "store_id": "7fe87115-950c-4ae8-bd7e-970406bc9ac0", "src": "string", "type": "first_party", "category": "string", "status": "trusted", "integrity_status": "match", "current_hash": "string", "authorized_hash": "string", "hash_source": "string", "sri_hash": "string", "integrity_attr": true, "size_bytes": 0, "vendor_id": "string", "gtm_container": "string", "authorization_method": "manual", "authorized_by": "string", "justification": "string", "policy_id": "ee9b03e0-6495-427a-85a5-34444d24ae04", "policy_version": 0, "reviewed_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "review_due_at": "2019-08-24T14:15:22Z", "first_seen_at": "2019-08-24T14:15:22Z", "last_seen_at": "2019-08-24T14:15:22Z", "last_verified_at": "2019-08-24T14:15:22Z", "last_hash_change_at": "2019-08-24T14:15:22Z", "block_rules_deactivated": true}